Bug 1006811 - Unable to copy template's disk from one storage domain to another.
Unable to copy template's disk from one storage domain to another.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Allon Mureinik
Leonid Natapov
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 06:27 EDT by Leonid Natapov
Modified: 2016-02-10 14:51 EST (History)
6 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19258 None None None Never

  None (edit)
Description Leonid Natapov 2013-09-11 06:27:33 EDT
Description of problem:


Unable to copy template's disk from one storage domain to another.
Getting CanDoAction 

"Error while executing action: Cannot copy Virtual Machine Disk. The relevant Template doesn't exist"

Reproduced  on two different setups. Both ISCSI and NFS.

works fine on is12.

013-09-11 13:01:06,673 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (DefaultQuartzScheduler_Worker-59) Setting new tasks map. The map contains now 1 tasks
2013-09-11 13:01:36,674 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (DefaultQuartzScheduler_Worker-4) Setting new tasks map. The map contains now 0 tasks
2013-09-11 13:01:36,674 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (DefaultQuartzScheduler_Worker-4) Cleared all tasks of pool 79a23d83-a523-4a32-84a5-0c2f0a163711.
2013-09-11 13:05:02,029 INFO  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-11) [5ab998ce] Lock Acquired to object EngineLock [exclusiveLocks= key: 82cf8f85-62be-4182-a235-f43dd8a5ba9c value: DISK
, sharedLocks= ]
2013-09-11 13:05:02,029 WARN  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-11) [5ab998ce] CanDoAction of action MoveOrCopyDisk failed. Reasons:VAR__ACTION__COPY,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_TEMPLATE_DOES_NOT_EXIST
2013-09-11 13:05:02,029 INFO  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-11) [5ab998ce] Lock freed to object EngineLock [exclusiveLocks= key: 82cf8f85-62be-4182-a235-f43dd8a5ba9c value: DISK
, sharedLocks= ]
 
Version-Release number of selected component (if applicable):


How reproducible:

100%
Steps to Reproduce:
1.Setup with two or more SDs.
2.Create VM with disks.
3.Create template from VM
4.Try to copy template's disk from one SD to another

Actual results:
copy disk failed.

Expected results:
disk successfully copied.

Additional info:
Comment 2 Leonid Natapov 2013-10-02 08:13:02 EDT
is17. fixed.
Comment 3 Itamar Heim 2014-01-21 17:30:58 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:30:58 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:33:54 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.